[PATCH 1/1 V4] selftests: net: improve missing modules error message

From: David Hunter
Date: Sat Sep 14 2024 - 12:00:39 EST


The error message describing the required modules is inaccurate.
Currently, only "SKIP: Need act_mirred module" is printed when any of
the modules are missing. As a result, users might only include that
module; however, three modules are required.

Fix the error message to show any/all modules needed for the script file
to properly execute.

Signed-off-by: David Hunter <david.hunter.linux@xxxxxxxxx>
---

V1
- https://lore.kernel.org/all/20240820202116.6124-1-david.hunter.linux@xxxxxxxxx/
V2
- https://lore.kernel.org/all/20240823054833.144612-1-david.hunter.linux@xxxxxxxxx/
- included subject prefixes
- split the patch into two separate patches (one for each issue)
- fixed typos in message body
- removed second, unnecessary for loop
V3
- https://lore.kernel.org/all/20240827205629.51004-1-david.hunter.linux@xxxxxxxxx/#r
- fixed subject prefix (omit capitilization)
- fixed spelling mistake in commit message
- fixed coding style based on recommendations
---
.../selftests/net/test_ingress_egress_chaining.sh | 12 +++++++++++-
1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/test_ingress_egress_chaining.sh b/tools/testing/selftests/net/test_ingress_egress_chaining.sh
index 08adff6bb3b6..007a5d04c3e1 100644
--- a/tools/testing/selftests/net/test_ingress_egress_chaining.sh
+++ b/tools/testing/selftests/net/test_ingress_egress_chaining.sh
@@ -13,10 +13,20 @@ if [ "$(id -u)" -ne 0 ];then
fi

needed_mods="act_mirred cls_flower sch_ingress"
+mods_missing=""
+numb_mods_needed=0
+
for mod in $needed_mods; do
- modinfo $mod &>/dev/null || { echo "SKIP: Need act_mirred module"; exit $ksft_skip; }
+ modinfo $mod &>/dev/null && continue
+ mods_missing="$mods_missing$mod "
+ numb_mods_needed=$(expr $numb_mods_needed + 1)
done

+if [ $numb_mods_needed -gt 0 ]; then
+ echo "SKIP: $numb_mods_needed modules needed: $mods_missing"
+ exit $ksft_skip
+fi
+
ns="ns$((RANDOM%899+100))"
veth1="veth1$((RANDOM%899+100))"
veth2="veth2$((RANDOM%899+100))"
--
2.43.0